Name:           python-django-south
Version:        1.0.2
Release:        1%{?dist}
Summary:        Intelligent schema migrations for Django apps

Group:          Development/Languages
License:        ASL 2.0
URL:            http://south.aeracode.org
Source:         http://www.aeracode.org/releases/south/South-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools
Requires:       python-django

Provides: Django-south = %{version}-%{release} 
# Because of the renaming mechanism, the next should stay forever in this package.
Obsoletes: Django-south < 0.7.3-2 

%description
South brings migrations to Django applications. Its main objectives are to
provide a simple, stable and database-independent migration layer to prevent
all the hassle schema changes over time bring to your Django applications.

%prep
%setup -q -n South-%{version}
# remove bundled egg-info
rm -rf South.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc README
%{python_sitelib}/south
%{python_sitelib}/South-%{version}-py?.?.egg-info

%changelog
* Wed Nov 22 2017 Luis Bazan <lbazan@fedoraproject.org> - 1.0.2-1
- new upstream version

* Wed Nov 22 2017 Luis Bazan <lbazan@fedoraproject.org> - 0.8.4-3
- rebuild

* Wed Nov 22 2017 Luis Bazan <lbazan@fedoraproject.org> - 0.8.4-2
- fix changelog

* Thu Jan 16 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.8.4-1
- New Upstream version

* Thu Jan 16 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.8.3-1
- New Upstream version

* Thu Aug 15 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.8.2-1
- New Upstream Version

* Fri Aug 02 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.8.1-1
- New Upstream Version
- changes dependency to python-django

* Thu Jun 20 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.7.5-6
- change requirement to python-django14

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 05 2012 Domingo Becker <domingobecker@gmail.com> - 0.7.5-3
- Build requires change from python-devel to python2-devel.
- Remove bundled egg-info.

* Tue Jun 05 2012 Domingo Becker <domingobecker@gmail.com> - 0.7.5-2
- Added README as doc in file section.
- More specific files section.

* Sat Jun 02 2012 Domingo Becker <domingobecker@gmail.com> - 0.7.5-1
- New upstream version.
- Remove docs dir in files section.
- Fixed unpacked directory name.
- Removed first line with python_sitelib...

* Tue May 29 2012 Domingo Becker <domingobecker@gmail.com> - 0.7.3-2
- Removed BuildRoot, clean, defattr and rm -rf buildroot.

* Sun May 27 2012 Domingo Becker <domingobecker@gmail.com> - 0.7.3-1
- Package rename to python-django-south. Please read
  https://fedoraproject.org/wiki/User:Bkabrda/Django_rename

* Mon Dec 20 2010 Domingo Becker <domingobecker@gmail.com> - 0.7.3-1
- New upstream version.

* Fri Nov 05 2010 Diego Búrigo Zacarão <diegobz@gmail.com> 0.7.2-2
- Added patch by beckerde

* Mon Sep 27 2010 Domingo Becker <domingobecker@gmail.com> - 0.7.2-1
- Updated to 0.7.2 Release
- A patch is included for python 2.4 compatibility

* Sat Jul 24 2010 Diego Búrigo Zacarão <diegobz@gmail.com> 0.7.1-2
- Updated to 0.7.1 Release

* Sat Oct 24 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.6.1-1
- Updated to 0.6.1 Release

* Thu Aug 13 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.6-2
- Updated SPEC to use the upstream tar.gz instead of the VCS checkout

* Tue Aug 11 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.6-1
- Updated to 0.6 Release

* Tue Aug 11 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.6-0.1.20090811hgrc1
- Initial RPM release
